gi-glib-2.0.29: GLib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GLib.Structs.Allocator

Contents

- Exported types
- Methods
  - free

Description

No description available in the introspection data.

Synopsis

- newtype Allocator = Allocator (ManagedPtr Allocator)
- allocatorFree :: (HasCallStack, MonadIO m) => Allocator -> m ()

# Exported types

newtype Allocator Source #

Memory-managed wrapper type.

Constructors

Allocator (ManagedPtr Allocator) |

#### Instances

Instances details

Eq Allocator Source # |
Instance details Defined in GI.GLib.Structs.Allocator Methods (==) :: Allocator -> Allocator -> Bool Source # (/=) :: Allocator -> Allocator -> Bool Source #
BoxedPtr Allocator Source # |
Instance details Defined in GI.GLib.Structs.Allocator Methods boxedPtrCopy :: Allocator -> IO Allocator Source # boxedPtrFree :: Allocator -> IO () Source #
ManagedPtrNewtype Allocator Source # |
Instance details Defined in GI.GLib.Structs.Allocator Methods toManagedPtr :: Allocator -> ManagedPtr Allocator Source #

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

free.

#### Getters

None.

#### Setters

None.

## free

allocatorFree :: (HasCallStack, MonadIO m) => Allocator -> m () Source #

No description available in the introspection data.